List networks for a dedicated server
/v1/hosts/dedicated_servers/{server_id}/networksTo list all networks for a dedicated server, send a GET request to /v1/hosts/dedicated_servers/{server_id}/networks. Add an ID as a path parameter to indicate a necessary server.
Authorization
bearerAuth In: header
Path Parameters
A unique identifier of a server.
Query Parameters
This pattern is used to return resources containing the parameter value in its name.
This parameter shows if it's an ipv4 or ipv6 network.
Value in
- "ipv4"
- "ipv6"
A type of an interface where a network is configured: public, private, oob (out-of-band).
Value in
- "public"
- "private"
- "oob"
A way to distribute a network. In case of gateway, the first one or 4 IP addresses (it depends on a certain location) will be reserved from a network. In case of route, a network will be fully available for customer's use.
Value in
- "route"
- "gateway"
This parameter indicates whether a requested network is ordered additionally. In this case, it has the true value. If it's a default network, it has the false value.
The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.
1 <= value <= 10020The number of a page (>= 1) that will be returned. By default, it's 1.
1 <= value1This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.
"id"Value in
- "id"
- "updated_at"
- "created_at"
This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.
"ASC"Value in
- "ASC"
- "DESC"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/hosts/dedicated_servers/3YaOGRax/networks"[ { "id": "9wdLqWej", "title": "Public", "status": "active", "cidr": "100.0.8.0/29", "family": "ipv4", "interface_type": "public", "distribution_method": "gateway", "additional": false, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "N1aMrBbW", "title": "Private", "status": "active", "cidr": "10.128.1.0/29", "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": false, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "J0dNvKdL", "title": "Public", "status": "active", "cidr": "100.0.4.0/29", "family": "ipv4", "interface_type": "public", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "3YaOwGax", "title": "Private", "status": "active", "cidr": "10.128.0.128/29", "family": "ipv4", "interface_type": "private", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "YqaQyqan", "title": "Alias", "status": "active", "cidr": "127.2.53.0/24", "family": "ipv4", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "y5eVE9dE", "title": "OOB", "status": "active", "cidr": "100.35.0.6/31", "family": "ipv4", "interface_type": "oob", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:48Z", "created_at": "2026-05-28T07:06:48Z" }, { "id": "KQe1yoeJ", "title": "Locally Significant IPv6", "status": "active", "cidr": "2a05:93c0:999::8/125", "family": "ipv6", "interface_type": "public", "distribution_method": "gateway", "additional": true, "updated_at": "2026-05-28T07:06:49Z", "created_at": "2026-05-28T07:06:49Z" }, { "id": "ELe3Anb6", "title": "thequickbrownfoxjumpsoverthelazydog", "status": "active", "cidr": "2a05:93c0:25:10::/64", "family": "ipv6", "interface_type": "public", "distribution_method": "route", "additional": true, "updated_at": "2026-05-28T07:06:49Z", "created_at": "2026-05-28T07:06:49Z" }]{ "message": "Bad request", "code": "BAD_REQUEST", "params": [ "per_page" ]}{ "message": "Not found", "code": "NOT_FOUND"}{ "message": "Host is not ready", "code": "PRECONDITION_FAILED"}